<?php

namespace App\Entity;

use App\Repository\CollectionnerRepository;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;

#[ORM\Entity(repositoryClass: CollectionnerRepository::class)]
class Collectionner
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'collectionners')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Collectionneur $collectionneurID = null;

    #[ORM\ManyToOne(inversedBy: 'collectionners')]
    #[ORM\JoinColumn(nullable: false)]
    private ?PieceModele $pieceModeleID = null;

    #[ORM\Column]
    #[Assert\Positive(message: "La quantité de la collection doit être positive.")]
    private ?int $qteCollection = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCollectionneurID(): ?Collectionneur
    {
        return $this->collectionneurID;
    }

    public function setCollectionneurID(?Collectionneur $collectionneurID): static
    {
        $this->collectionneurID = $collectionneurID;

        return $this;
    }

    public function getPieceModeleID(): ?PieceModele
    {
        return $this->pieceModeleID;
    }

    public function setPieceModeleID(?PieceModele $pieceModeleID): static
    {
        $this->pieceModeleID = $pieceModeleID;

        return $this;
    }

    public function getQteCollection(): ?int
    {
        return $this->qteCollection;
    }

    public function setQteCollection(int $qteCollection): static
    {
        $this->qteCollection = $qteCollection;

        return $this;
    }
}
